[Overview][Constants][Classes][Index] | Reference for unit 'memds' (#fcl)

# smEOF

Marker that indicates the End-of-File for the in-memory dataset

## Declaration

Source position: memds.pp line 37

`const smEOF = 0;`

## Description

smEOF is an Integer constant that contains the marker used as the End-of-File marker for an in-memory dataset. smEOF is used in TMemDataset methods which read or write data using a file or a stream. The value for smEOF is 0 (zero).

## See also

TMemDataset.LoadFromStream |  | Loads the content for the dataset from the specified stream
TMemDataset.SaveToStream |  | Saves field definitions and optional record data to the specified stream